PROFILE = test-profile
REGION = eu-west-3
URL = http://localhost:4566
AWSOPTS = --profile $(PROFILE) --region $(REGION)
SQSOPTS = --queue-url $(URL)/000000000000/dummy-queue
SQS = aws --endpoint-url=$(URL) sqs $(AWSOPTS)
QNAME = dummy-queue

BODY = '{"event_id": "7456c8ee-949d-4100-a0c6-6ae8e581ae15", "event_time": "2019-11-26T16:00:47Z","data": {"test": 83411}}'

clean:
	docker compose down
	rm -fr volume

configure:
	aws configure set aws_access_key_id "dummy" --profile $(PROFILE)
	aws configure set aws_secret_access_key "dummy" --profile $(PROFILE)
	aws configure set region $(REGION) --profile $(PROFILE)
	aws configure set output "table" --profile $(PROFILE)

create-queue: configure
	$(SQS) create-queue --queue-name $(QNAME) --output table

lint:
	staticcheck

receive:
	$(SQS) receive-message $(SQSOPTS) --output json

delete:
	$(SQS) delete-message  $(SQSOPTS) --receipt-handle "ODhkYTI2ZjQtNGE4YS00NmFhLTliM2UtNTNhNWVjYjVmMmYwIGFybjphd3M6c3FzOmV1LXdlc3QtMzowMDAwMDAwMDAwMDA6ZHVtbXktcXVldWUgZmE2MDExY2UtNTBhMS00Y2EyLTkxYTktMmMxMmEwZGE4YTczIDE2NzI3NTk2NzEuNzg1MTU0Ng=="

send:
	$(SQS) send-message    $(SQSOPTS) --message-body $(BODY)

list-queues:
	$(SQS) list-queues $(AWSOPTS)